Subject: bug#70046: 29.3; ebuffers mini frame loses focus

From: Vangelis Evangelou <[email-masked]>
Date: Thu, 28 Mar 2024 10:08:51 +0000

Because the cursor moves to that buffer and if I press n or p it inserts in
that buffer. Here is a video demonstrating this
https://drive.google.com/file/d/1E7ycJJTYuo62MwViGfiYz_tnornMdXkN/view?usp=sharing

Also, note in the video that the mini frame goes under the top bar. I don't
know if that's an emacs issue though.

On Thu, 28 Mar 2024 at 09:22, Eli Zaretskii <[email-masked]> wrote:

> > From: Vangelis Evangelou <[email-masked]>
> > Date: Thu, 28 Mar 2024 08:36:56 +0000
> >
> > When using ebuffers with the default settings, going up and down on
> differences by pressing n and p switches
> > focus to the buffers that are being compared. As an example, run the
> following commands in terminal:
> >
> > ping -c 10 example.com > ~/fileA
> > ping -c 10 example.com > ~/fileB
> > emacs -Q --eval '(ebuffers (find-file "~/fileA") (find-file "~/fileB"))'
> >
> > and then press n and p to navigate through the differences. You will
> notice that focus switches to the buffers.
> > It doesn't happen always.
>
> I cannot reproduce this.  I tried many times.
>
> How do you see that focus switches to one of the buffers being
> compared?
>